
StocksAndFisheriesKB - Bug #13250

Honduran management organization acronym not appearing

Jan 31, 2019 11:31 AM - Susana Segurado

Status: Closed Start date: Apr 11, 2064

Priority: Normal Due date:  

Assignee: Yannis Marketakis % Done: 90%

Category:  Estimated time: 0.00 hour

Target version: GRSF   

Description

In the following record: http://data.d4science.org/ctlg/GRSF_Admin/08b5d29f-71e1-31be-9399-1164785593d2  the Honduran

Directorate of Fisheries and Aquaculture is in the short name but not in the semantic identifier. But the record is flagged for

traceability.

In FishSource the acronym field is completed (DIGEPESCA) but we're wondering if this could have been done in FishSource post the

last harvest to the GRSF?

Anyway, Merul, could you please check that the name (Honduran Directorate of Fisheries and Aquaculture) and acronym

(DIGEPESCA) are being correctly sent through the webservice?

If there is no issue from there, please assign to Yannis.

Related issues:

Related to StocksAndFisheriesKB - Bug #16275: national authority not showing Closed Mar 13, 2019

Related to StocksAndFisheriesKB - Bug #16498: Update Management Entities Info... In Progress Apr 10, 2019 Apr 12, 2019

Blocked by StocksAndFisheriesKB - Bug #13347: Cannot update or publish legacy... Closed Feb 18, 2019

Follows StocksAndFisheriesKB - Task #16441: Update all Records in GRSF (Admin... Closed Apr 10, 2064

History

#1 - Feb 11, 2019 12:25 PM - Merul Patel

- Assignee changed from Merul Patel to Yannis Marketakis

The API is exporting the organisation correctly: 

"management_units": [

{

"id": 2083,

"name": "Honduras Western Central Atlantic",

"organizations": [

{

"id": 4518,

"name": "Honduran Directorate of Fisheries and Aquaculture",

"acronym": "DIGEPESCA",

"country": "HND"

}]

}]

It's not possible for me to confirm when the record was last updated, since the acronyms were bulk updated directly to the database during 2018. The

record itself was last manually edited in July 2016.

#2 - Feb 12, 2019 01:59 PM - Yannis Marketakis

- Status changed from New to In Progress

I see that the acronym of the management entity has been added correctly for the legacy record in GRSF_Admin VRE 

http://data.d4science.org/ctlg/GRSF_Admin/be735335-7291-3f55-97a3-de7b9047bac2 but not for the corresponding GRSF stock record.

I will further investigate this.

#3 - Feb 13, 2019 11:43 AM - Yannis Marketakis

I found that the same issue occurs for many fishery records (more than 1000).

Some indicative ones are: 
http://data.d4science.org/ctlg/GRSF_Admin/c82b4687-a8d6-3287-89c0-12ed87ade577 (it should contain NEFMC)

http://data.d4science.org/ctlg/GRSF_Admin/af4f624b-7623-3fae-8d3f-2fadfb71b4a2 (it should contain ASMFC

http://data.d4science.org/ctlg/GRSF_Admin/4cdb5ef3-9058-3f2a-8f5c-e753f7c3a62c (it should contain PRODUCE)

http://data.d4science.org/ctlg/GRSF_Admin/25330c89-7ea9-3184-988a-74faf85a7a51 (it should contain FWRI)

http://data.d4science.org/ctlg/GRSF_Admin/e9da1446-c40f-3caa-b15c-28624db3d7fa (it should contain DFO)

http://data.d4science.org/ctlg/GRSF_Admin/e1a70970-bc69-3af2-bdaa-9fee92c48b6d (it should contain SUBPESCA).

I can update them programmatically.

@aureliano.gentile@fao.org what do you think?

#4 - Feb 14, 2019 06:09 PM - Aureliano Gentile

- File screenshot-bluebridge.d4science.org-2019.02.14-17-49-37.png added

- File screenshot-bluebridge.d4science.org-2019.02.14-18-04-27.png added

#6 - Feb 14, 2019 06:12 PM - Aureliano Gentile

- File screenshot-bluebridge.d4science.org-2019.02.14-18-04-27.png added

- File screenshot-bluebridge.d4science.org-2019.02.14-17-49-37.png added

As per TWG3 workshop on GRSF, it decided to limit the identifier at national level simply by indicating to which country the national authority belongs

to.

In fact the Wiki documentation 

https://support.d4science.org/projects/stocksandfisherieskb/wiki/GRSF_database_overview#Guidelines-for-mapping-to-GRSF-standards indicates:

Management Authority - The coverage of the existing GRSF repository of Management Authorities (i.e. a registry of local/national/international

organizations/institutions with mandate on fisheries monitoring/management) is limited and “GRSF owned”. National authorities change across

time and it may require huge efforts to maintain the information. So far it is enough to indicate the “national management" (with iso3 country

code)” (and under which EEZ jurisdiction (ISO3/mrgid). Prefixes: "authority:NAT:", "authority:INT:"; other prefixes: "High seas", "

SpecialAgreement".

Note: The registry of national "Management units" (species, area, management authority, shape file) developed by FishSource (starting April

2018), will be integrated in the semantic identifier refining the fisheries identification with specific area classification systems and specific

management authorities at national/sub-national level (e.g. "authority:Sub-Nat:XXX"). 

 The ISO3 country code is provided both in FIRMS and FishSource, therefore the semantic identifier shoudl be populated with such iso3country codes

when the namespace is "authority:INT:".

However, the Acronym of whatever institution if provided can be added in the record page, following the name. See also attached screenshot.

What do you think @marketak@ics.forth.gr ?

It should be noted that this may produce not unique semantic identifiers, with a further discussion we may conceive for the future to append also the

institution acronym which however is not maintained in grsf. But such ambiguity should not take place if to different sub-national management

authorities correspond different fishing area codes.

#7 - Feb 14, 2019 06:12 PM - Aureliano Gentile

- File deleted (screenshot-bluebridge.d4science.org-2019.02.14-17-49-37.png)

#8 - Feb 14, 2019 06:12 PM - Aureliano Gentile

- File deleted (screenshot-bluebridge.d4science.org-2019.02.14-18-04-27.png)

#9 - Feb 15, 2019 11:06 AM - Yannis Marketakis

Aureliano, your recommendation is not clear to me.

Do you propose adding the acronym of the acronym of the management entity when the ISO3 country code is missing?

If yes, your proposal is to add it under the Management Body/Authority(ies) field, in the semantic identifier or both? 

#10 - Feb 15, 2019 11:37 AM - Aureliano Gentile

1) the semantic identifier has to be filled with the following logic authority:NAT:

if you check the json form Merul above in this ticket, you see it is "country": "HND" therefore the semantic identifier would be like "... +

authority:NAT:HND + ..."

2) the management authority field is already reporting the name of whatever national institute, therefore I am simply suggest to append also the

acronym as per the screenshot. In the json example it would correspond to   "acronym": "DIGEPESCA"

if not clear (my apologies for that), I am available to briefly discuss in skype

#11 - Feb 15, 2019 11:51 AM - Yannis Marketakis

OK. 
I just checked why the country code is missing and I found out that this type of information was null, by the time of harvesting FishSource (March

2018). Below you can see the parts of the harvested contents in XML. 

    <management_unit>

      <name>Honduras Western Central Atlantic</name>

      <organizations>

        <country>null</country>

        <acronym>DIGEPESCA</acronym>

        <name>Honduran Directorate of Fisheries and Aquaculture</name>

        <id>4518</id>

      </organizations>

      <id>2083</id>

    </management_unit>

 I will update this in the GRSF KB and the GRSF VREs, which means that we will update the records.

#12 - Feb 18, 2019 10:44 AM - Yannis Marketakis

- Blocked by Bug #13347: Cannot update or publish legacy records added

#13 - Feb 18, 2019 10:45 AM - Yannis Marketakis

There's an issue with the updating of the legacy records (the ones coming from FishSource). I've opened a ticket assigned to CNR. As soon as we fix

it I'll update the records accordingly.

#14 - Mar 08, 2019 11:23 AM - Yannis Marketakis

- Status changed from In Progress to Feedback

- % Done changed from 0 to 90

Both records (the legacy and the GRSF one) have been updated.

#15 - Mar 08, 2019 02:04 PM - Aureliano Gentile

With many thanks for this work.

I see a strange "-" following the authority:NAT:HND  in the semantic identifier of this record 

http://data.d4science.org/ctlg/GRSF_Admin/08b5d29f-71e1-31be-9399-1164785593d2 can you check please?

asfis:SLC+fao:31+authority:NAT:HND - +iso3:HND+isscfg:08.2

#16 - Mar 08, 2019 03:41 PM - Yannis Marketakis

You are right!

Just updated it.

#17 - Mar 08, 2019 03:48 PM - Aureliano Gentile

Thanks, I trust that fix is applied to all records and future records generation 

#18 - Mar 08, 2019 04:08 PM - Aureliano Gentile

In example here the iso3 country code for the authority is still missing 

http://data.d4science.org/ctlg/GRSF_Admin/f8fb17c8-cfb3-3079-a071-ae3509e5e12a

GRSF Semantic identifier: asfis:ABS+fao:31+authority:NAT:-+iso3:USA+isscfg:03.12

Code: authority:NAT:-, System: unk, Name: Florida Fish and Wildlife Conservation Commission

I guess it should be "USA"

So why is it missing? Maybe because this info is not supplied by fishsource or what else? Thanks again.

#19 - Mar 19, 2019 01:55 PM - Marina Mendes

- Related to Bug #16275: national authority not showing added

#20 - Mar 29, 2019 03:09 PM - Yannis Marketakis

Aureliano Gentile wrote:

In example here the iso3 country code for the authority is still missing 

http://data.d4science.org/ctlg/GRSF_Admin/f8fb17c8-cfb3-3079-a071-ae3509e5e12a

GRSF Semantic identifier: asfis:ABS+fao:31+authority:NAT:-+iso3:USA+isscfg:03.12
Code: authority:NAT:-, System: unk, Name: Florida Fish and Wildlife Conservation Commission

I guess it should be "USA"

 The proper one should be authority:NAT:FWCC.

#21 - Mar 29, 2019 03:20 PM - Yannis Marketakis

Ignore the following, my mistake

Yannis Marketakis wrote:

The proper one should be authority:NAT:FWCC.

#22 - Mar 29, 2019 03:36 PM - Yannis Marketakis

This type of information (the ISO3 code of the country) is missing from the sources that have been harvested from Fishsource. Below you'll find the

corresponding part.

    <management_unit>

      <name>Florida Atlantic</name>

      <organizations>

        <country>null</country>

        <acronym>FWCC</acronym>

        <name>Florida Fish and Wildlife Conservation Commission</name>

        <id>2428</id>

      </organizations>

      <id>823</id>

    </management_unit>

 I'm not sure if FishSource currently has this type of information in their databases.

If yes, and since updating them one by one is not a good option, we could perform a bulk update, if Fishsource colleagues provide us a list with the

corresponding mappings (organization ID - country)

#23 - Apr 02, 2019 11:58 AM - Merul Patel

The majority of the Management Units in FishSource have country information associated with the Organisations. As an example, here's the output

for the entity above from the /api/bluebridge/v4/management_units endpoint:

{

"id": 823,

"name": "Florida Atlantic",

"type": null,

"organisations": [

{

"id": 2428,

"name": "Florida Fish and Wildlife Conservation Commission",

"acronym": "FWCC",

"country": "USA"

}

],

"stock": {

"id": 656,

"name": "American shad - Florida Atlantic"

},

"exploiting_fisheries": [

1385

],

"fishing_areas": [

{

"name": "FAO 31",

"type": "FAO"

},

{

"name": "Florida Atlantic waters (

The same country information is being returned in the stocks endpoint:

"management_units": [

{

"id": 823,

"name": "Florida Atlantic",
"organizations": [

{

"id": 2428,

"name": "Florida Fish and Wildlife Conservation Commission",

"acronym": "FWCC",

"country": "USA"

}

]

}

]

#24 - Apr 02, 2019 04:10 PM - Yannis Marketakis

- % Done changed from 90 to 70

Hi Merul, Thanks for the update. 

I've just used the API and noticed that the countries are returned using their ISO2 code.

I'll convert them to ISO3 and use them.

#25 - Apr 02, 2019 04:15 PM - Aureliano Gentile

well, in grsf we said standard should be iso3, if FishSource can provide directly iso3 codes, then it would be better (if possible, thanks)

#26 - Apr 02, 2019 04:24 PM - Merul Patel

Not sure what you mean Yannis. The samples above in comment 23 show the data returned is ISO3, eg. USA not US.

#27 - Apr 02, 2019 04:28 PM - Yannis Marketakis

This is what I get back from https://www.fishsource.org/api/bluebridge/v2/fisheries/3695

{

    "management_unit": {

        "id": 1912,

        "name": "BCO10",

        "organizations": [{

            "id": 3555,

            "name": "NZ Ministry for Primary Industries",

            "acronym": "MPI",

            "country": "NZ"

        }]

    }

}

 However, I wouldn't worry since the transformation from ISO2 to ISO3 is something that can be automated from our side (during the

harvesting/transformation of data from FishSource)

#28 - Apr 02, 2019 04:29 PM - Merul Patel

You're using the V2 version of the API. Not the V4. This is the latest version that has all modifications requested during the GRSF work. 

#29 - Apr 02, 2019 04:32 PM - Aureliano Gentile

thanks Merul, in the GRSF wiki I see we have this URL https://www.fishsource.org/apipie/

can you tell us which should be the right one?

Or, would it be better to update this generic url https://www.fishsource.org/apipie/ so to have the latest version?

or please advice what you deem is more appropriate

#30 - Apr 02, 2019 04:47 PM - Merul Patel

The docs will always be at https://www.fishsource.org/apipie. It should by default open the v4 docs - but something is wrong there and I'll look into

that. Apologies.

#31 - Apr 03, 2019 08:58 AM - Yannis Marketakis

Thank you Merul for the answer. I was totally unaware of V4.

I will use that instead.

#32 - Apr 03, 2019 11:30 AM - Yannis Marketakis

I've updated the management entities with the missing country codes.

In addition, I've updated the semantic IDs of the defected GRSF fishery records.

As a proof-of-concept I've updated http://data.d4science.org/ctlg/GRSF_Admin/88454692-27bb-3b3e-a890-ab8c92420d0f
There are 1052 more GRSF fishery records to be updated.

I'll start updating them today.

#33 - Apr 03, 2019 12:05 PM - Yannis Marketakis

- Follows Task #16441: Update all Records in GRSF (Admin and Public VREs) added

#34 - Apr 04, 2019 09:16 AM - Yannis Marketakis

- Assignee changed from Yannis Marketakis to Aureliano Gentile

- % Done changed from 70 to 100

All the GRSF Fishery records have been updated in GRSF_Admin. The issue should be resolved now.

#35 - Apr 04, 2019 12:02 PM - Aureliano Gentile

Thanks a lot. I checked randomly a few fisheries and the fix seems fine.

One concern on FFA which should be INT not national management authority

Management Body/Authority(ies)  Code: authority:NAT:SLB, System: grsf-org, Name: Forum Fisheries Agency (FFA)

(see https://www.ffa.int/about)

In example in this record: http://data.d4science.org/ctlg/GRSF_Admin/fe0691c8-e686-3396-aa47-62ac1cf19f27 OR this one 

http://data.d4science.org/ctlg/GRSF_Admin/12ad80fd-b23e-3c0f-a362-834179a8a95f

Can it be fixed? I understand this is a content related issue rather than the application logic

#36 - Apr 04, 2019 03:15 PM - Yannis Marketakis

- Status changed from Feedback to In Progress

- Assignee changed from Aureliano Gentile to Yannis Marketakis

- % Done changed from 100 to 90

We can do that. Unfortunately, this change will affect 1789 GRSF fishery records that has to be updated.

I'll update the GRSF KB, accordingly and trigger the update overnight.

#37 - Apr 04, 2019 03:39 PM - Aureliano Gentile

Thanks a lot,

so from

Management Body/Authority(ies) Code: authority:NAT:SLB, System: grsf-org, Name: Forum Fisheries Agency (FFA)

it will become 

Management Body/Authority(ies) Code: authority:INT:FFA, System: grsf-org, Name: Forum Fisheries Agency (FFA)

The mapping file on management entities has been updated accordingly 

https://data.d4science.org/shub/E_cGxRWVJoSm1KZjhWOUUyM1p1ZllOQVk0by9wVGZuNzJqemVsSWo4YjJQTTMzdW5QNWpOL0lLRmhHYUlza

UdRbw== 

(Workspace > VRE Folders > StocksAndFisheriesKB > Requirements > DSDs_and_Mapping_to_GRSF-Standards)

Apologies for the oversight, but definitely that is an international organization (see also http://www.fao.org/fishery/rfb/ffa/en)

#38 - Apr 05, 2019 09:24 AM - Yannis Marketakis

- Status changed from In Progress to Feedback

- % Done changed from 90 to 100

The corresponding GRSF Fishery records have been updated as proposed.-

#39 - Apr 05, 2019 10:31 AM - Aureliano Gentile

Thanks a lot, I checked a few of them, all fine. Then I made a search by "authority:INT:FFA" and I got 1,789 records found for ""authority:INT:FFA""

which indeed is the number of records you were mentioning, hence it should be all good.

I understand all these fixes and updates are reflected in the GSRF VRE, or you may want to refresh it completely at the end of this work.

#40 - Apr 05, 2019 10:37 AM - Yannis Marketakis

Thanks.
You are right. For the time being, we are updating everything that needs to be updated in GRSF Admin and afterwards we'll do the same with GRSF

VRE. Although for the particular case GRSF VRE is not affected (GRSF Fisheries are not yet approved)

#41 - Apr 05, 2019 11:12 AM - Aureliano Gentile

ok, thanks

btw note that so far we have already 31 fishing unit approved in grsf admin:

31 records found Status of the GRSF record: Approved  Organisations: GRSF Admin  Types: Fishing Unit 

#42 - Apr 05, 2019 02:23 PM - Yannis Marketakis

You are right.

I'll make sure they are published in GRSF VRE as well.

#43 - Apr 09, 2019 05:01 PM - Marina Mendes

one more record missing the national authority - Vice Ministry of Aquaculture and Fisheries of Ecuador (MAGAP) - in the semantic identifier

asfis:WEP+fao:87.1++iso3:ECU+isscfg:07.9

http://data.d4science.org/ctlg/GRSF_Admin/bab04278-1066-3903-8ffc-5a15d16cb3d7

which is available in FS as well as below in the API

"fishery_name": "Peruvian weakfish | Ecuador | Ecuador | Ecuador | Gillnets and entangling nets",

"exploiting_stocks": 2024,

"prod_system_type": "",

"flag_state": "ECU",

"fishing_gear": {

"id": 3,

"name": "Gillnets and entangling nets",

"standard_abbreviation": "GEN",

"isscfg": "07.9",

"gear_type": "GearGroup",

"sfp_gear": null

},

"management_unit": {

"id": 2430,

"name": "Ecuador",

"organizations": [

{

"id": 2488,

"name": "Vice Ministry of Aquaculture and Fisheries of Ecuador",

"acronym": "MAGAP",

"country": "ECU"

}

#44 - Apr 09, 2019 05:05 PM - Marina Mendes

the same as above:

http://data.d4science.org/ctlg/GRSF_Admin/2416cbc0-c31b-397e-951f-a30ea4cd0f4c

"fishery_name": "Whiteleg shrimp | Ecuador | Ecuador artisanal | Ecuador | Pushnets",

"exploiting_stocks": 1464,

"prod_system_type": "Artisanal",

"flag_state": "ECU",

"fishing_gear": {

"id": 83,

"name": "Pushnets",

"standard_abbreviation": "MPN",

"isscfg": "10.5",

"gear_type": "Gear",

"sfp_gear": null

},

"management_unit": {

"id": 1758,

"name": "Ecuador artisanal",

"organizations": [

{

"id": 2488,

"name": "Vice Ministry of Aquaculture and Fisheries of Ecuador",

"acronym": "MAGAP",

"country": "ECU"

}

]

#45 - Apr 10, 2019 09:39 AM - Yannis Marketakis

As described in previous comments we face those issues because the GRSF has been created using an older harvest from Fishsource.
Instead of fixing them one-by-one, I propose updating all the management entities that have missing information using a more recent harvest from

FishSource.

I'll open a new issue describing this and the management entities (and the corresponding records) that has to be updated.

#46 - Apr 18, 2019 01:55 PM - Marina Mendes

- Related to Bug #16498: Update Management Entities Information added

#47 - Nov 23, 2022 02:44 PM - Yannis Marketakis

- Status changed from Feedback to Closed

Files

screenshot-bluebridge.d4science.org-2019.02.14-18-04-27.png 30.8 KB Feb 14, 2019 Aureliano Gentile

screenshot-bluebridge.d4science.org-2019.02.14-17-49-37.png 13.3 KB Feb 14, 2019 Aureliano Gentile

Powered by TCPDF (www.tcpdf.org)

May 01, 2025 8/8

http://www.tcpdf.org

